package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BpacbsVo extends AbstractCommonVo {

    private CbbVo max;

    private CbbVo max2;

    private CbbVo pay1;

    private CbbVo nom1;

    private CbbVo opn1;

    @Override
    public void reset() {
        if (max == null) {
            max = new CbbVo();
        }
        if (max2 == null) {
            max2 = new CbbVo();
        }
        if (pay1 == null) {
            pay1 = new CbbVo();
        }
        if (nom1 == null) {
            nom1 = new CbbVo();
        }
        if (opn1 == null) {
            opn1 = new CbbVo();
        }
    }
}
